Jupiter ERP
Account API

Get file folder

/api/account/file-folders/{id}

GETHTTP
get/api/account/file-folders/{id}

Example request

GET https://api.jupiter-erp.com/api/account/file-folders/example-id

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/file-folders/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
idpathyes

Responses

200OK
FieldTypeDescription
child_folders_count*integer
created_atstring (date-time)Creation timestamp in ISO 8601 format.
files_count*integer
hex_colorstring
id*integer
name*string
parent_idinteger
protectedboolean
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "parent_id": 0,
  "name": "string",
  "protected": true,
  "hex_color": "string",
  "files_count": 0,
  "child_folders_count": 0
}
FileFolders

Questions about integration?

GET /api/account/file-folders/{id} · Jupiter ERP